# GpgFrontend Project: src/ui/dialog/gnupg/GnuPGControllerDialog.h Source File

GnuPGControllerDialog.h
#ifndef GPGFRONTEND_GNUPGCONTROLLERDIALOGLOG_H
#define GPGFRONTEND_GNUPGCONTROLLERDIALOGLOG_H
#include <string>
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
class Ui_GnuPGControllerDialog;
namespace GpgFrontend::UI {
class GnuPGControllerDialog : public GeneralDialog {
Q_OBJECT
public:
explicit GnuPGControllerDialog(QWidget* parent = nullptr);
public slots:
void SlotAccept();
signals:
void SignalRestartNeeded(int);
private slots:
void slot_set_restart_needed(int);
void slot_update_custom_key_database_path_label(int state);
void slot_update_custom_gnupg_install_path_label(int state);
private:
std::shared_ptr<Ui_GnuPGControllerDialog> ui_;
int restart_needed_{0};
int get_restart_needed() const;
void set_settings();
void apply_settings();
bool check_custom_gnupg_path(std::string);
bool check_custom_gnupg_key_database_path(std::string);
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_GNUPGCONTROLLERDIALOGLOG_H
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::GnuPGControllerDialog
Definition: GnuPGControllerDialog.h:39
GpgFrontend::UI::GnuPGControllerDialog::slot_set_restart_needed
void slot_set_restart_needed(int)
Definition: GnuPGControllerDialog.cpp:369
GpgFrontend::UI::GnuPGControllerDialog::SignalRestartNeeded
void SignalRestartNeeded(int)
GpgFrontend::UI::GnuPGControllerDialog::get_restart_needed
int get_restart_needed() const
Get the Restart Needed object.
Definition: GnuPGControllerDialog.cpp:365
GpgFrontend::UI::GnuPGControllerDialog::GnuPGControllerDialog
GnuPGControllerDialog(QWidget *parent=nullptr)
Construct a new General Tab object.
Definition: GnuPGControllerDialog.cpp:38
GpgFrontend::UI
Definition: FileReadTask.cpp:29